Bug 206371 - internal compiler error: in gfc_convert_array_to_string, at fortran/trans-io.c:414
internal compiler error: in gfc_convert_array_to_string, at fortran/trans-io....
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-13 17:58 EDT by Kate Hedstrom
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.1.1-1.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-18 04:08:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
source file (31.56 KB, text/x-fortran)
2006-09-13 17:58 EDT, Kate Hedstrom
no flags Details

  None (edit)
Description Kate Hedstrom 2006-09-13 17:58:39 EDT
Description of problem:

internal compler error from gfortran, compiling NCAR graphics library.

Version-Release number of selected component (if applicable):

cygnus.arsc.edu 439% gfortran -v
Using built-in specs.
Target: x86_64-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--enable-checking=release --with-system-zlib --enable-__cxa_atexit
--disable-libunwind-exceptions --enable-libgcj-multifile
--enable-languages=c,c++,objc,java,f95,ada --enable-java-awt=gtk
--with-java-home=/usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre --host=x86_64-redhat-linux
Thread model: posix
gcc version 4.0.2 20051125 (Red Hat 4.0.2-8)

How reproducible:

every time

Steps to Reproduce:
1. gfortran -c gesc2.f
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kate Hedstrom 2006-09-13 17:58:39 EDT
Created attachment 136216 [details]
source file
Comment 2 Jakub Jelinek 2006-09-18 04:08:43 EDT
FC4 is no longer supported and this compiles just fine with FC5 as well as
FC6test3 gfortran.

Note You need to log in before you can comment on or make changes to this bug.